ATA_MSENSE_PUSH(9)

NAME
ata_msense_push - Push data onto MODE SENSE data output buffer

SYNOPSIS

void ata_msense_push (u8 ** ptr_io, const u8 * last, const u8 * buf, unsigned int buflen);

ARGUMENTS

ptr_io
    (input/output) Location to store more output data

last
    End of output data buffer

buf Pointer to BLOB being added to output buffer

buflen
    Length of BLOB

DESCRIPTION

Store MODE SENSE data on an output buffer.

LOCKING

None.

AUTHOR
Jeff Garzik.